package com.hrsk.cloud.eg.app.threedocking.impl;

import com.hrsk.cloud.eg.app.constant.ServerCodeEnums;
import com.hrsk.cloud.eg.app.threedocking.LoanDockingApi;
import com.hrsk.cloud.eg.dto.data.egPlan.PlanDto;
import com.hrsk.cloud.eg.dto.data.user.UserBaseInfoDto;
import com.hrsk.cloud.eg.vo.response.DataVo;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

/**
 * @Author zhangyy
 * @Date 2023 11 08.
 * 用于处理所有不撞库的助贷相关逻辑
 **/
@Component
@Slf4j
public class PubNoCheckCreditService implements LoanDockingApi {



    @Override
    public ServerCodeEnums getType() {
        return ServerCodeEnums.NoCheck;
    }
    /**
     * 撞库 虚假的撞库   暂时直接返回成功，后续需要兼容排重包等功能
     *
     * @param userInfo
     * @param product
     * @return
     */
    @Override
    public DataVo qualityCheck(UserBaseInfoDto userInfo, PlanDto product) {
        log.info("虚假的助贷撞库请求参数 userInfo：{}  product:{}", userInfo, product);
        String productName = "";
        if (null != product && StringUtils.isNotBlank(product.getPlanName())){
            productName = product.getPlanName();
        }
        return DataVo.success(0, productName+"撞库成功", product.getPlanId());
    }
}
